=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --no-start
